Ask Your Question
1

error processing package libconsole-bridge installing indigo on raspbian jessie

asked 2016-04-26 06:29:00 -0500

Joan_Carles gravatar image

updated 2016-04-26 08:29:47 -0500

Hi,

I am getting an error by installing package libconsole-bridge on raspbian jessie (Raspberry Pi 3).

I am following the next tutorial It fails at step:

sudo dpkg -i libconsole-bridge0.2*.deb libconsole-bridge-dev_*.deb

Where I get:

(Reading database ... 140907 files and directories currently installed.)
Preparing to unpack libconsole-bridge0.2v5-dbg_0.3.2-1_armhf.deb ...
Unpacking libconsole-bridge0.2v5-dbg:armhf (0.3.2-1) over (0.3.2-1) ...
dpkg: regarding libconsole-bridge0.2v5_0.3.2-1_armhf.deb containing libconsole-bridge0.2v5:armhf:
 libconsole-bridge0.2v5 breaks libconsole-bridge0.2
  libconsole-bridge0.2:armhf (version 0.2.5-2) is present and installed.

dpkg: error processing archive libconsole-bridge0.2v5_0.3.2-1_armhf.deb (--install):
 installing libconsole-bridge0.2v5:armhf would break libconsole-bridge0.2:armhf, and
 deconfiguration is not permitted (--auto-deconfigure might help)
Preparing to unpack libconsole-bridge-dev_0.3.2-1_armhf.deb ...
Unpacking libconsole-bridge-dev:armhf (0.3.2-1) over (0.3.2-1) ...
dpkg: dependency problems prevent configuration of libconsole-bridge0.2v5-dbg:armhf:
 libconsole-bridge0.2v5-dbg:armhf depends on libconsole-bridge0.2v5 (= 0.3.2-1); however:
  Package libconsole-bridge0.2v5 is not installed.

dpkg: error processing package libconsole-bridge0.2v5-dbg:armhf (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libconsole-bridge-dev:armhf:
 libconsole-bridge-dev:armhf depends on libconsole-bridge0.2v5 (= 0.3.2-1); however:
  Package libconsole-bridge0.2v5 is not installed.

dpkg: error processing package libconsole-bridge-dev:armhf (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libconsole-bridge0.2v5_0.3.2-1_armhf.deb
 libconsole-bridge0.2v5-dbg:armhf
 libconsole-bridge-dev:armhf

Any idea?

edit retag flag offensive close merge delete

Comments

Could you please format your console copy/pastes with the Preformatted text button in the toolbar? It's the one with 101010 on it. It would preserve the layout of the error messages better, making them easier to read. Just select the text and press the button, or ctrl+k.

gvdhoorn gravatar image gvdhoorn  ( 2016-04-26 07:33:56 -0500 )edit

Yes! Sorry! :)

Joan_Carles gravatar image Joan_Carles  ( 2016-04-26 08:30:18 -0500 )edit

No problem. Thanks.

gvdhoorn gravatar image gvdhoorn  ( 2016-04-26 11:28:26 -0500 )edit

I got the same error! Any help?

Tank you Mauro

Mauro gravatar image Mauro  ( 2016-06-25 10:48:45 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-10-11 14:58:43 -0500

Danu gravatar image

for completeness:

remove the installed package: sudo dpkg --purge --force-all libconsole-bridge0.2:armhf

and try it again

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-04-26 06:29:00 -0500

Seen: 630 times

Last updated: Apr 26 '16